# Maintainer: BlackEagle < ike DOT devolder AT gmail DOT com >
pkgname=wapiti
pkgver=3.0.9
pkgrel=1
pkgdesc="vulnerability scanner for web applications."
url='http://wapiti.sourceforge.net/'
license=('GPL')
depends=('python-requests' 'python-beautifulsoup4' 'python-lxml' 'python-tld' 'python-yaswfp'
         'python-mako' 'python-python_socks' 'python-browser-cookie3' 'python-httpx' 'python-httpx-socks')
makedepends=('python-setuptools' 'python-pip')
arch=('any')
source=("https://downloads.sourceforge.net/project/$pkgname/$pkgname/$pkgname-$pkgver/${pkgname}3-$pkgver.tar.gz")
sha256sums=('bd64674b9152057bf1534ca7d7aab8cad4fccb1027813e0d0281f48823a82475')

build() {
	cd "${pkgname}3-$pkgver"
    python setup.py build
}

package() {
	cd "${pkgname}3-$pkgver"
	PYTHONHASHSEED=0 python3 setup.py install --root="$pkgdir/" --optimize=1 --skip-build
}

